﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="AddProductosPedido.aspx.vb" Inherits="camarero_AddProductosPedido" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Mi Pedido"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Productos que usted tiene disponibles para añadir al pedido:</span></div>
        <asp:Panel ID="TiposProductoPanel" runat="server" CssClass="centrar">
            <asp:Repeater ID="TiposProductoRepeater" runat="server">
                <ItemTemplate>
                    <asp:Button runat="server" ID="Button" Text='<%# Eval("nombre") %>' CssClass="boton" CommandName='<%# Eval("nombre") %>' CommandArgument='<%# Eval("id") %>' />
                </ItemTemplate>
            </asp:Repeater>
            <asp:Button ID="MenusButton" Text="Men&uacute;s" CssClass="boton" CommandName="Menus" runat="server"/>
        </asp:Panel><br />
        <asp:GridView ID="ProductosGridView" runat="server" GridLines="None"  
            CssClass="gridview" AllowPaging="True" 
            PagerSettings-Mode="NumericFirstLast" PageSize="12" CellPadding="4" >
            <RowStyle CssClass="gridview-row" />
            <Columns>
                <asp:TemplateField ShowHeader="False">
                    <ItemTemplate>
                        <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                <asp:BoundField DataField="nombre" HeaderText="Nombre" ReadOnly="True" 
                    SortExpression="nombre" />
                <asp:BoundField DataField="descripcion" HeaderText="Descripcion" 
                    ReadOnly="True" SortExpression="descripcion" />
                <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                    SortExpression="precio" />
            </Columns>
            <FooterStyle CssClass="gridview-footer" BackColor="#990000" Font-Bold="True" 
                ForeColor="White" />
            <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center" 
                BackColor="#FFCC66" ForeColor="#333333" />
            <SelectedRowStyle CssClass="gridview-selectedrow" />
            <HeaderStyle CssClass="gridview-header" />
            <AlternatingRowStyle CssClass="gridview-alter-row" />
        </asp:GridView>
    
        <div><asp:Label ID="MsgEstado2Lbl" runat="server"></asp:Label></div>
        <div>
            <asp:Button ID="AddAlPedidoButton" runat="server" CssClass="boton2-autoancho" Text="Añadir al pedido" />
            <asp:Button ID="VolverButton" runat="server" CssClass="boton2-autoancho" Text="Volver" />
        </div>
        <br />
        <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
            <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
            <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
        </asp:Panel> 
    </div>
</asp:Content>

