﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="AsignarMesaCliente.aspx.vb" Inherits="camarero_AsignarMesaCliente" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <script type ="text/javascript" src="../scripts/cambiar_bordes.js"></script>  
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Estado mesas"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    
    <div class="centrar"><div class="marron"><span class="negrita">Asignar mesa</span></div></div>
    <br /><br />
    <div class="contenedor">
        <div class="caja-centrada-6">
            <div>
                <label class="label5">Mesa nº</label>
                <asp:Textbox ID="NoMesaTxt" runat="server" CssClass="textbox-label"></asp:Textbox>
            </div>
            <div class="clear-both">
                <label class="label5">Fecha</label>
                <asp:TextBox ID="FechaTxt" runat="server" CssClass="textbox-calendar3"></asp:TextBox>
                <label class="label6">Hora</label>
                <asp:TextBox ID="HoraTxt" runat="server" CssClass="textbox-calendar3"></asp:TextBox>
            </div>
            <div class="clear-both">
                <!-- SELECTOR DE CLIENTE -->
                <asp:UpdatePanel ID="ClienteIdUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <label class="label5">Cliente</label>
                        <asp:TextBox ID="ClienteIdTxt" runat="server" CssClass="textbox-mini" ></asp:TextBox>
                        <asp:TextBox ID="ClienteNombreTxt" runat="server" CssClass="textbox5" onfocus="ChangeBorder(this,event)" 
                            onblur="ChangeBorder(this,event)" AutoPostBack="true"></asp:TextBox>
                        <cc1:AutoCompleteExtender ID="ClienteNombreTxt_AutoCompleteExtender" 
                            runat="server" DelimiterCharacters=";" Enabled="True" ServicePath="AutoCompletado.asmx" 
                            TargetControlID="ClienteNombreTxt" MinimumPrefixLength="1" ServiceMethod="GetCompletionListClientes"
                            CompletionInterval="500" CompletionSetCount="2" EnableCaching="false">
                        </cc1:AutoCompleteExtender>
                        <span>&nbsp;&nbsp;<asp:HyperLink ID="RegistroRapidoHyperlink" runat="server" NavigateUrl="/eRestaurante/anonimo/nuevo_usuario.aspx" CssClass="marron" Text="Registro r&aacute;pido"></asp:HyperLink></span>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div class="clear-both">
                <!-- SELECTOR DE CAMARERO -->
                <asp:UpdatePanel ID="CamareroIdUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <label class="label5">Camarero</label>
                        <asp:TextBox ID="CamareroIdTxt" runat="server" CssClass="textbox-mini" ></asp:TextBox>
                        <asp:TextBox ID="CamareroNombreTxt" runat="server" CssClass="textbox5" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)" 
                            AutoPostBack="true"></asp:TextBox>
                        <cc1:AutoCompleteExtender ID="CamareroNombreTxt_AutoCompleteExtender" 
                            runat="server" DelimiterCharacters=";" Enabled="True" ServicePath="AutoCompletado.asmx" 
                            TargetControlID="CamareroNombreTxt" MinimumPrefixLength="1" ServiceMethod="GetCompletionListCamareros"
                            CompletionInterval="500" CompletionSetCount="2" EnableCaching="false" >
                        </cc1:AutoCompleteExtender>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div class="clear-both">
                <label class="label5">Comensales</label><asp:TextBox ID="ComensalesAsignarTxt" runat="server" CssClass="textbox-mini" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox>
            </div>       
        </div>
    </div>
    <div class="centrar">
        <asp:Button ID="OkAsignarButton" runat="server" Text="Aceptar" CssClass="boton2-2" />
        <asp:Button ID="CancelAsignarButton" runat="server" Text="Cancelar" CssClass="boton2-2"  />
        <br />
        <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
            <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
            <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
        </asp:Panel> 
    </div>
   
</asp:Content>

