<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="Clientes.aspx.vb" Inherits="camarero_Clientes" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Clientes"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <!-- TITULO -->
        <div class="marron"><span class="negrita">Clientes</span></div>
        <br />
        
        <!-- TABLA DE CLIENTES -->
        <asp:UpdatePanel ID="ClientesUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="ClientesGridView" runat="server" CssClass="gridview" AllowPaging="True" 
                        GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                        PageSize="8" CellPadding="4" AutoGenerateColumns="False">
                    <RowStyle CssClass="gridview-row" />
                    <AlternatingRowStyle CssClass="gridview-alter-row" />
                    <HeaderStyle CssClass="gridview-header" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:TemplateField HeaderText="Nombre" SortExpression="apellido1">
                            <ItemTemplate>
                                <asp:Label ID="NombreLbL" runat="server" Text='<%# Bind("nombre") %>'></asp:Label>
                                <asp:Label ID="Apellido1Lbl" runat="server" Text='<%# Bind("apellido1") %>'></asp:Label>
                                <asp:Label ID="Apellido2Lbl" runat="server" Text='<%# Bind("apellido2") %>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                         <asp:CommandField ButtonType="Button" ControlStyle-CssClass="boton-eliminar" DeleteText="" ShowDeleteButton="True">
                            <ControlStyle CssClass="boton-eliminar" />
                        </asp:CommandField>
                    </Columns>
                    <SelectedRowStyle CssClass="gridview-selectedrow" />
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerStyle CssClass="gridview-pager" />
                </asp:GridView>
            </ContentTemplate>
        </asp:UpdatePanel>
        <br />
        
        <!-- MENSAJE DE ESTADO -->
        <div>
            <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
        </div>
        <br />
        
        <!-- BOTONES -->
        <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Button ID="DetallesClienteButton" runat="server" CssClass="boton2-autoancho" Text="Detalles de cliente" />
            </ContentTemplate>
        </asp:UpdatePanel>
        <br />
        
        <!-- MENSAJE DE ERROR -->
        <asp:UpdatePanel ID="PedidosUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="DetallesClienteButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="ClientesGridView" EventName="PageIndexChanging" />
                <asp:AsyncPostBackTrigger ControlID="ClientesGridView" EventName="RowDeleting" />   
            </Triggers>
        </asp:UpdatePanel> 
    </div>

</asp:Content>

