﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="Consumiciones.aspx.vb" Inherits="camarero_Consumiciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=""></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
     <div class="centrar"><div class="marron"><span class="negrita">Consumiciones</span></div></div>
     <br />
     <asp:UpdatePanel ID="PedidoUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:GridView ID="PedidoGridView" runat="server" AllowPaging="True" 
                    CssClass="gridview" GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                    PageSize="8" CellPadding="4" AutoGenerateColumns="False">
                <PagerSettings Mode="NumericFirstLast"></PagerSettings>

                <RowStyle CssClass="gridview-row" HorizontalAlign="Center" />
                <AlternatingRowStyle CssClass="gridview-alter-row"/>
                <HeaderStyle CssClass="gridview-header" HorizontalAlign="Center" />
                <SelectedRowStyle CssClass="gridview-selectedrow" />
                <FooterStyle CssClass="gridview-footer" />
                <Columns>
                    <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                    <asp:TemplateField HeaderText="Consumici&oacute;n">
                        <ItemTemplate>
                            <asp:Label ID="CantidadLbl" runat="server" Text='<%# Bind("cantidad")%>'></asp:Label>
                            <span> x </span>
                            <asp:HyperLink ID="NombreHyperLink" runat="server" NavigateUrl='<%# Bind("FK_ItemConsumicion") %>' Text='<%# Bind("nombre")%>' CssClass="gris-mas-oscuro"></asp:HyperLink>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:ButtonField ButtonType="Button" Text="" ControlStyle-CssClass="boton-mas" CommandName="Mas">
                            <ControlStyle CssClass="boton-mas" />
                        </asp:ButtonField>
                        <asp:ButtonField ButtonType="Button" Text="" 
                            ControlStyle-CssClass="boton-menos" CommandName="Menos">
                            <ControlStyle CssClass="boton-menos" />
                        </asp:ButtonField>
                    <asp:TemplateField HeaderText="Servido" SortExpression="servida">
                        <ItemTemplate>
                            <asp:Label ID="ServidaLbl" runat="server" Text='<%# Bind("servida") %>'></asp:Label>
                            <span>/</span>
                            <asp:Label ID="Cantidad2Lbl" runat="server" Text='<%# Bind("cantidad")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                        SortExpression="precio" />
                    <asp:TemplateField ShowHeader="False" >
                        <ItemTemplate>
                            <asp:Button ID="ServirButton" runat="server" CausesValidation="false" 
                                CommandName="Servir" CommandArgument='<%# CType(Container,GridViewRow).RowIndex %>' Text="" ToolTip="Servir" />
                        </ItemTemplate>
                        <ControlStyle CssClass="boton-servir" />
                    </asp:TemplateField>
                    <asp:TemplateField ShowHeader="False" >
                        <ItemTemplate>
                            <asp:Button ID="DeServirButton" runat="server" CausesValidation="false" 
                                CommandName="Deservir" CommandArgument='<%# CType(Container,GridViewRow).RowIndex %>' Text="" ToolTip="Deservir" />
                        </ItemTemplate>
                        <ControlStyle CssClass="boton-deservir" />
                    </asp:TemplateField>
                    <asp:TemplateField ShowHeader="False">
                        <ItemTemplate>
                            <asp:Button ID="EliminarButton" runat="server" CausesValidation="False" 
                                CommandName="Delete" Text="" ToolTip="Eliminar" />
                        </ItemTemplate>
                        <ControlStyle CssClass="boton-eliminar" />
                    </asp:TemplateField>
                </Columns>
                <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center"/>
            </asp:GridView>
        </ContentTemplate>
    </asp:UpdatePanel>
    
    <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="centrar">
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
            </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDataBound" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDeleting" />
        </Triggers>
    </asp:UpdatePanel>
    
    <br />
    
    <asp:UpdatePanel ID="PrecioUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="derecha">
                <asp:Label ID="PrecioLbl" runat="server" Text="Precio total: " CssClass="negrita"></asp:Label>
                <asp:Label ID="PrecioTxt" runat="server"></asp:Label>
            </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDataBound" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowCommand" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDeleting" />
        </Triggers>
    </asp:UpdatePanel>
    
    <br />
    
    <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="centrar">
                <asp:Button ID="AddProductosButton" runat="server" Text="Añadir productos" CssClass="boton2-autoancho" />
                <asp:Button ID="VolverButton" runat="server" Text="Volver" CssClass="boton2-autoancho" />
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <br />
    
    <asp:UpdatePanel ID="MsgErrorUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="centrar">
                <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="PageIndexChanging" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDataBound" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowCommand" />
            <asp:AsyncPostBackTrigger ControlID="PedidoGridView" EventName="RowDeleting" />
        </Triggers>
    </asp:UpdatePanel>
</asp:Content>

