﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="DetallesCliente.aspx.vb" Inherits="camarero_DetallesCliente" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <script type ="text/javascript" src="../scripts/cambiar_bordes.js"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=""></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Detalles de cliente</span></div></div>
    <br />
    <div class="contenedor">
        <div class="caja-centrada-3">
            <asp:UpdatePanel ID="PedidosUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <div class="clear-both">
                        <asp:Label ID="NombreLbl" runat="server" CssClass="label2">Nombre</asp:Label>
                        <div class="float-der"><asp:TextBox ID="NombreTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <asp:Label ID="Apellido1Lbl" runat="server" CssClass="label2">Primer apellido</asp:Label>
                        <div class="float-der"><asp:TextBox ID="Apellido1Txt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <asp:Label ID="Apellido2Lbl" runat="server" CssClass="label2">Segundo apellido</asp:Label>
                        <div class="float-der"><asp:TextBox ID="Apellido2Txt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <asp:Label ID="DniLbl" runat="server" CssClass="label2">Dni (clave)</asp:Label>
                        <div class="float-der"><asp:TextBox ID="DniTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <asp:Label ID="TelefonoLbl" runat="server" CssClass="label2">Tel&eacute;fono</asp:Label>
                        <div class="float-der"><asp:TextBox ID="TelefonoTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <asp:Label ID="EmailLbl" runat="server" CssClass="label2">Direcci&oacute;n de correo</asp:Label>
                        <div class="float-der"><asp:TextBox ID="EmailTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                    </div>
                    <asp:Panel runat="server" ID="CambiarPasswordPanel" CssClass="centrar">
                        <div class="clear-both">
                            <asp:Label ID="PasswordLbl" runat="server" CssClass="label2">Contraseña</asp:Label>
                            <div class="float-der"><asp:TextBox ID="PasswordTxt" MaxLength="12" TextMode="Password" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                        </div>
                        <div class="clear-both">
                            <asp:Label ID="NuevoPasswordLbl" runat="server" CssClass="label2">Nueva contraseña</asp:Label>
                            <div class="float-der"><asp:TextBox ID="NuevoPasswordTxt" MaxLength="12" TextMode="Password" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                        </div>
                        <div class="clear-both">
                            <asp:Label ID="ConfNuevoPasswordLbl" runat="server" CssClass="label2">Confirmar nueva contraseña</asp:Label>
                            &nbsp;<div class="float-der"><asp:TextBox ID="ConfNuevoPasswordTxt" MaxLength="12" TextMode="Password" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="ModificarButton" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="CancelarButton" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="CambiarPasswdButton" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="CancelarCambiarPasswdButton" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    </div>
   
   <asp:UpdatePanel ID="BotonesPasswdPanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">
        <ContentTemplate>
            <div class="centrar">
                <asp:Button ID="ConfirmarNuevoPasswdButton" runat="server" CssClass="boton2-autoancho" Text="Confirmar contraseña"/>
                <asp:Button ID="CancelarCambiarPasswdButton" runat="server" CssClass="boton2-autoancho" Text="Cancelar"/>
            </div>
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="CambiarPasswdButton" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="CancelarCambiarPasswdButton" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>

    <div class="centrar">
        <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">
            <ContentTemplate>       
                <asp:Button ID="ModificarButton" runat="server" CssClass="boton2-autoancho" Text="Modificar"/>
                <asp:Button ID="CambiarPasswdButton" runat="server" CssClass="boton2-autoancho" Text="Cambiar contraseña"/>
                <asp:Button ID="VolverButton" runat="server" CssClass="boton2-autoancho" Text="Volver" />
                <asp:Button ID="GuardarButton" runat="server" CssClass="boton2-autoancho" Text="Guardar" />
                <asp:Button ID="CancelarButton" runat="server" CssClass="boton2-autoancho" Text="Cancelar" />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="CambiarPasswdButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="CancelarCambiarPasswdButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <br /><br />
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label runat="server" ID="MsgEstadoLbl"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="GuardarButton" EventName="Click" />             
                <asp:AsyncPostBackTrigger ControlID="CancelarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="CambiarPasswdButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="CancelarCambiarPasswdButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="ConfirmarNuevoPasswdButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="CancelarCambiarPasswdButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

