﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="EstadoMesas.aspx.vb" Inherits="camarero_EstadoMesas" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <script type ="text/javascript" src="../scripts/cambiar_bordes.js"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Estado mesas"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Estado de las mesas</span></div></div>
    <br />
    <!-- MESAS -->
    <div class="caja-ancho-70-izq">
        <asp:UpdatePanel ID="MesasUpdatePanel" runat="server" UpdateMode="Conditional" >
            <ContentTemplate>
                <asp:Panel ID="MesasPanel" runat="server" ScrollBars="Auto" Height="245px">
                    <asp:Repeater ID="MesasRepeater" runat="server" >
                        <ItemTemplate>
                            <asp:Button runat="server" ID="Button" Text='<%# Eval("numero") %>' CommandName='<%# Eval("numero") %>' CommandArgument='<%# Eval("id") %>' />
                        </ItemTemplate>
                    </asp:Repeater>
                </asp:Panel>
                <div>
                <br />
                <asp:Label ID="CamareroLbl" runat="server" Text="Camarero:" CssClass="negrita"></asp:Label>
                <asp:Label ID="CamareroTxt" runat="server"></asp:Label>
                <br />
                <asp:Label ID="MaxPersonasLbl" runat="server" Text="Max. comensales:" CssClass="negrita"></asp:Label>
                <asp:Label ID="MaxPersonasTxt" runat="server"></asp:Label>
                </div>
                <div class="clear-both">
                    <br />
                    <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
                        <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                        <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                    </asp:Panel> 
                </div>
            </ContentTemplate> 
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="HorasDropDownList" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="MinDropDownList" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="Calendar1" EventName="SelectionChanged" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    <!-- DIA / HORA / BOTONES ACCION -->
    <div class="caja-ancho-30-der">
        <div class="caja-centrada-7">
            <!-- DIA -->
            <span class="label4">D&iacute;a</span>
            <div class="float-der">
                <asp:TextBox ID="DiaTxt" CssClass="textbox-calendar5" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox>
                <asp:Panel ID="CalendarPanel" runat="server" Style="display: none;">
                   <asp:UpdatePanel ID="CalendarUpdatePanel" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:Calendar ID="Calendar1" runat="server" BackColor="#FFFFCC" 
                                BorderColor="#FFCC66" BorderWidth="1px" DayNameFormat="Shortest" 
                                Font-Names="Verdana" Font-Size="8pt" ForeColor="#663399" Height="200px" 
                                ShowGridLines="True" Width="220px">
                                <SelectedDayStyle BackColor="#CCCCFF" Font-Bold="True" />
                                <SelectorStyle BackColor="#FFCC66" />
                                <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
                                <OtherMonthDayStyle ForeColor="#CC9966" />
                                <NextPrevStyle Font-Size="9pt" ForeColor="#FFFFCC" />
                                <DayHeaderStyle BackColor="#FFCC66" Font-Bold="True" Height="1px" />
                                <TitleStyle BackColor="#990000" Font-Bold="True" Font-Size="9pt" 
                                    ForeColor="#FFFFCC" />
                            </asp:Calendar>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </asp:Panel>
                <cc1:PopupControlExtender ID="Calendar1_PopupControlExtender" runat="server" 
                    DynamicServicePath="" Enabled="True" 
                    TargetControlID="DiaTxt" PopupControlID="CalendarPanel">
                </cc1:PopupControlExtender>
            </div>
            
             <!-- HORA -->
             <div class="clear-both"></div>
             <div class="label-hora">Hora</div>
             <div class="table">
                <div class="tr">
                    <div class="drop-down-list">      
                        <div class="td-prim">
                            <asp:DropDownList ID="HorasDropDownList" runat="server"  AutoPostBack="true"></asp:DropDownList> 
                        </div>
                       <div class="td">     
                            <asp:DropDownList ID="MinDropDownList" runat="server" CssClass="der"  AutoPostBack="true"></asp:DropDownList> 
                       </div> 
                    </div>
                </div>
            </div>   
        </div>     
        <div class="clear-both">    
            <br /><br /><br /><br />   
            <!-- BOTONES DE ACCION -->
            <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="BotonesPanel" runat="server" GroupingText="Mesas">
                            <div>
                                <asp:Button ID="AddMesaButton" runat="server" CssClass="boton2" Text="Nueva" />
                                <cc1:ModalPopupExtender ID="AddMesaButton_ModalPopupExtender" runat="server" 
                                    DynamicServicePath="" Enabled="True" TargetControlID="AddMesaButton"
                                    PopupControlID="AddMesaPanel" BackgroundCssClass="gris-opacidad"> 
                                </cc1:ModalPopupExtender>
                            </div>
                            <div><asp:Button ID="ModificarMesaButton" runat="server" CssClass="boton2" Text="Modificar" /></div>
                            <div>
                                <asp:Button ID="EliminarMesaButton" runat="server" CssClass="boton2" Text="Eliminar" />
                                <cc1:ModalPopupExtender ID="EliminarMesaButton_ModalPopupExtender" runat="server" 
                                    DynamicServicePath="" Enabled="True" TargetControlID="EliminarMesaButton"
                                    PopupControlID="ConfEliminarMesaPanel" BackgroundCssClass="gris-opacidad">
                                </cc1:ModalPopupExtender>
                            </div>
                            <div><asp:Button ID="DetallesMesaButton" runat="server" CssClass="boton2" Text="Detalles" /></div>
                            <div>
                                <asp:Button ID="AsignarMesaButton" runat="server" CssClass="boton2" Text="Asignar a Cliente" />
                            </div> 
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="MesasRepeater" EventName="ItemCommand" />
                    <asp:AsyncPostBackTrigger ControlID="HorasDropDownList" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="MinDropDownList" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="Calendar1" EventName="SelectionChanged" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    </div>
    
    <!-- PANELES POP UP -->
   <asp:Panel ID="AddMesaPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Nueva mesa</div>
        <br />
        <div class="contenido-panel-confirmacion">
            <div>
                <label class="label-panel">N&uacute;mero</label>
                <asp:TextBox ID="NumeroMesaTxt" runat="server" CssClass="textbox-panel"></asp:TextBox>
            </div>
            <div>
                <label class="label-panel">N&uacute;mero de mesas</label>
                <asp:TextBox ID="CantidadMesasTxt" runat="server" CssClass="textbox-panel"></asp:TextBox>
            </div>
            <div>
                <label class="label-panel">M&aacute;ximo comensales</label>
                <asp:TextBox ID="MaxComensalesTxt" runat="server" CssClass="textbox-panel"></asp:TextBox>
            </div>
        </div>
        <br />
        <div>
            <asp:Button ID="OkButton" runat="server" Text="Aceptar" CssClass="boton2-2" />
            <asp:Button ID="CancelButton" runat="server" Text="Cancelar" CssClass="boton2-2"  />
        </div>
    </asp:Panel>
    
    <asp:Panel ID="ConfEliminarMesaPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Eliminar mesa</div>
        <br />
        <div>¿Est&aacute; seguro/a de que desea eliminar la mesa seleccionada?</div>
        <br />
        <div>
            <asp:Button ID="OkEliminarButton" runat="server" Text="Aceptar" CssClass="boton2-2" />
            <asp:Button ID="CancelEliminarButton" runat="server" Text="Cancelar" CssClass="boton2-2"  />
        </div>
    </asp:Panel>
      
</asp:Content>

