﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="HistorialPedidos.aspx.vb" Inherits="camarero_HistorialPedidos" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Historial de pedidos"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Historial de pedidos</span></div></div>
    <br />
    <div class="centrar">
        <div>
            <!-- FILTRO DE FECHAS: FECHA DE INICIO  -->
            <span>Fecha Inicio:&nbsp;</span>
            <asp:TextBox ID="FechaIniTxt" CssClass="textbox-calendar4" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox>
            <asp:Panel ID="CalendarFechaIniPanel" runat="server" Style="display: none;">
               <asp:UpdatePanel ID="CalendarUpdateFechaIniPanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:Calendar ID="FechaIniCalendar" runat="server" BackColor="#FFFFCC" 
                            BorderColor="#FFCC66" BorderWidth="1px" DayNameFormat="Shortest" 
                            Font-Names="Verdana" Font-Size="8pt" ForeColor="#663399" Height="200px" 
                            ShowGridLines="True" Width="220px">
                            <SelectedDayStyle BackColor="#CCCCFF" Font-Bold="True" />
                            <SelectorStyle BackColor="#FFCC66" />
                            <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
                            <OtherMonthDayStyle ForeColor="#CC9966" />
                            <NextPrevStyle Font-Size="9pt" ForeColor="#FFFFCC" />
                            <DayHeaderStyle BackColor="#FFCC66" Font-Bold="True" Height="1px" />
                            <TitleStyle BackColor="#990000" Font-Bold="True" Font-Size="9pt" 
                                ForeColor="#FFFFCC" />
                        </asp:Calendar>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <cc1:PopupControlExtender ID="FechaIniCalendar_PopupControlExtender" runat="server" 
                DynamicServicePath="" Enabled="True" 
                TargetControlID="FechaIniTxt" PopupControlID="CalendarFechaIniPanel">
            </cc1:PopupControlExtender>  
            
            <!-- FILTRO DE FECHAS: FECHA DE FIN  -->
            <span>Fecha Fin:&nbsp;</span>
            <asp:TextBox ID="FechaFinTxt" CssClass="textbox-calendar4" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox>
            <asp:Panel ID="CalendarFechaFinPanel" runat="server" Style="display: none;">
               <asp:UpdatePanel ID="CalendarUpdateFechaFinPanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:Calendar ID="FechaFinCalendar" runat="server" BackColor="#FFFFCC" 
                            BorderColor="#FFCC66" BorderWidth="1px" DayNameFormat="Shortest" 
                            Font-Names="Verdana" Font-Size="8pt" ForeColor="#663399" Height="200px" 
                            ShowGridLines="True" Width="220px">
                            <SelectedDayStyle BackColor="#CCCCFF" Font-Bold="True" />
                            <SelectorStyle BackColor="#FFCC66" />
                            <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
                            <OtherMonthDayStyle ForeColor="#CC9966" />
                            <NextPrevStyle Font-Size="9pt" ForeColor="#FFFFCC" />
                            <DayHeaderStyle BackColor="#FFCC66" Font-Bold="True" Height="1px" />
                            <TitleStyle BackColor="#990000" Font-Bold="True" Font-Size="9pt" 
                                ForeColor="#FFFFCC" />
                        </asp:Calendar>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <cc1:PopupControlExtender ID="FechaFinCalendar_PopupControlExtender" runat="server" 
                DynamicServicePath="" Enabled="True" 
                TargetControlID="FechaFinTxt" PopupControlID="CalendarFechaFinPanel">
            </cc1:PopupControlExtender>
            
            <!-- BOTON BUSCAR -->
            <asp:ImageButton ID="BuscarImageButton" runat="server" CssClass="boton-buscar" ImageAlign="AbsMiddle"  AlternateText="Buscar" ImageUrl="../img/buscar-texto.png" ToolTip="Buscar" />    
        </div>
        <br />
        <!--  PEDIDOS  -->
        <asp:UpdatePanel ID="PedidoGridViewUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="PedidoGridView" runat="server" AllowPaging="True" 
                    CssClass="gridview" GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                    PageSize="10" CellPadding="4" AutoGenerateColumns="False">
                    <PagerSettings Mode="NumericFirstLast" />
                    <RowStyle CssClass="gridview-row" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:BoundField DataField="fecha" HeaderText="Fecha" ReadOnly="True" 
                            SortExpression="fecha" />
                        <asp:BoundField DataField="numero" HeaderText="Mesa" ReadOnly="True" 
                            SortExpression="numero" />
                        <asp:TemplateField HeaderText="Camarero">
                            <ItemTemplate>
                                <asp:Label ID="NombreCamareroLbl" runat="server" Text='<%# Bind("nombre")%>'></asp:Label>
                                <span>&nbsp;</span>
                                <asp:Label ID="Apellido1CamareroLbl" runat="server" Text='<%# Bind("apellido1")%>'></asp:Label>
                                <span>&nbsp;</span>
                                <asp:Label ID="Apellido2CamareroLbl" runat="server" Text='<%# Bind("apellido2")%>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                            SortExpression="precio" />
                    </Columns>
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerStyle CssClass="gridview-pager" />
                    <SelectedRowStyle CssClass="gridview-selectedrow" />
                    <HeaderStyle CssClass="gridview-header" />
                    <AlternatingRowStyle CssClass="gridview-alter-row"/>
                </asp:GridView>
                
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                <br />
                <asp:Button ID="DetallesPedidoButton" runat="server" Text="Detalles de pedido" CssClass="boton2-autoancho" />
                <br /><br />
                <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="BuscarImageButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

