﻿<%@ Page Title="" Language="VB" MasterPageFile="~/cliente/MasterPageCliente.master" AutoEventWireup="false" CodeFile="HistorialPedidos.aspx.vb" Inherits="cliente_HistorialPedidos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Historial de pedidos"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Historial de pedidos</span></div></div>
    <br />
    <div class="centrar">
        <asp:UpdatePanel ID="PedidoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="PedidoGridView" runat="server" AllowPaging="True" 
                    CssClass="gridview" GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                    PageSize="8" CellPadding="4" AutoGenerateColumns="False">
                    <PagerSettings Mode="NumericFirstLast" />
                    <RowStyle CssClass="gridview-row" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:BoundField DataField="fecha" HeaderText="Fecha" ReadOnly="True" 
                            SortExpression="fecha" />
                        <asp:BoundField DataField="numero" HeaderText="Mesa" ReadOnly="True" 
                            SortExpression="numero" />
                        <asp:TemplateField HeaderText="Camarero">
                            <ItemTemplate>
                                <asp:Label ID="NombreCamareroLbl" runat="server" Text='<%# Bind("nombre")%>'></asp:Label>
                                <span>&nbsp;</span>
                                <asp:Label ID="Apellido1CamareroLbl" runat="server" Text='<%# Bind("apellido1")%>'></asp:Label>
                                <span>&nbsp;</span>
                                <asp:Label ID="Apellido2CamareroLbl" runat="server" Text='<%# Bind("apellido2")%>'></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                            SortExpression="precio" />
                    </Columns>
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerStyle CssClass="gridview-pager" />
                    <SelectedRowStyle CssClass="gridview-selectedrow" />
                    <HeaderStyle CssClass="gridview-header" />
                    <AlternatingRowStyle CssClass="gridview-alter-row"/>
                </asp:GridView>
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
            </ContentTemplate>
        </asp:UpdatePanel>
        
        <br />
        
        <asp:UpdatePanel ID="DetallesUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Button ID="DetallesPedidoButton" runat="server" Text="Detalles de pedido" CssClass="boton2-autoancho" />
            </ContentTemplate>
        </asp:UpdatePanel>
        
        <br />
        
        <asp:UpdatePanel ID="MsgErrorUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger  ControlID="DetallesPedidoButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

