﻿<%@ Page Title="" Language="VB" MasterPageFile="~/cliente/MasterPageCliente.master" AutoEventWireup="false" CodeFile="MiPedido.aspx.vb" Inherits="cliente_MiPedido" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server"></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Mi Pedido"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Mi Pedido</span></div><br />
        
        <asp:UpdatePanel ID="TimerUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Timer ID="Timer" runat="server" Interval="10000">
                </asp:Timer>
            </ContentTemplate>
        </asp:UpdatePanel>
        
        <!-- INFORMACION A MOSTRAR SI EL PEDIDO AUN NO SE HA CREADO -->
        <asp:UpdatePanel ID="NoHayPedidoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="NoHayPedidoPanel" runat="server">
                    <div class="centrar"><asp:Label ID="PedidoNoCreadoLbl" runat="server" Text="Su pedido no ha sido creado todav&iacute;a. P&oacute;ngase en contacto con alg&uacute;n empleado por favor."></asp:Label></div>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
            </Triggers>
        </asp:UpdatePanel>
                
        <asp:UpdatePanel ID="MiPedidoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MiPedidoPanel" runat="server">
                    <!-- PRODUCTOS AGREGADOS AL PEDIDO -->
                    <asp:GridView ID="PedidoGridView" runat="server" AllowPaging="True" 
                        CssClass="gridview" GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                        PageSize="8" CellPadding="4" AutoGenerateColumns="False">
                        <PagerSettings Mode="NumericFirstLast" />
                        <RowStyle CssClass="gridview-row" />
                        <Columns>
                            <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                            <asp:HyperLinkField DataTextField="nombre" HeaderText="Nombre"  
                                SortExpression="nombre" DataNavigateUrlFields="FK_itemconsumicion" DataNavigateUrlFormatString="../cliente/DetallesItemConsumicion.aspx?id={0}&nav=>Mi Pedido" ControlStyle-CssClass="gris-mas-oscuro" />
                            <asp:BoundField DataField="cantidad" HeaderText="Cantidad" ReadOnly="True" 
                                SortExpression="cantidad" />
                            <asp:ButtonField ButtonType="Button" Text="" ControlStyle-CssClass="boton-mas" CommandName="Mas">
                                <ControlStyle CssClass="boton-mas" />
                            </asp:ButtonField>
                            <asp:ButtonField ButtonType="Button" Text="" 
                                ControlStyle-CssClass="boton-menos" CommandName="Menos">
                                <ControlStyle CssClass="boton-menos" />
                            </asp:ButtonField>
                            <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                                SortExpression="precio" />
                            <asp:BoundField DataField="servida" HeaderText="Servido" ReadOnly="True" 
                                SortExpression="servida" />
                            <asp:CommandField ButtonType="Button" ControlStyle-CssClass="boton-eliminar" 
                                DeleteText="" ShowDeleteButton="True">
                            <ControlStyle CssClass="boton-eliminar" />
                            </asp:CommandField>
                        </Columns>
                        <FooterStyle CssClass="gridview-footer" BackColor="#990000" Font-Bold="True" 
                            ForeColor="White" />
                        <SelectedRowStyle CssClass="gridview-selectedrow" />
                        <HeaderStyle CssClass="gridview-header" />
                        <AlternatingRowStyle CssClass="gridview-alter-row"/>
                         <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center"/>
                    </asp:GridView>
                    
                    <asp:Panel runat="server" ID="MsgEstadoPanel">
                        <div class="centrar">
                            <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                        </div>
                    </asp:Panel>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="OkButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="CancelButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
            </Triggers>
        </asp:UpdatePanel>

        <div class="float-izq">
            <asp:Panel runat="server" ID="TodosPanel">
                <asp:Button ID="EliminarTodosButton" runat="server" Text="Eliminar todos" CssClass="boton-link" />
                <cc1:ModalPopupExtender ID="EliminarTodosButton_ModalPopupExtender" 
                    runat="server" DynamicServicePath="" Enabled="True" 
                    TargetControlID="EliminarTodosButton" PopupControlID="EliminarConsumicionesPanel" 
                    OkControlID="OkButton" CancelControlID="CancelButton" BackgroundCssClass="gris-opacidad">
                </cc1:ModalPopupExtender>
            </asp:Panel>
        </div>
        <br />
        
        <!-- ESTADO DEL PEDIDO -->
        <div class="pagar">
            <asp:UpdatePanel ID="DatosPagoUpdatePanel" runat="server">
                <ContentTemplate>
                    <asp:Panel ID="DatosPagoPanel" runat="server">
                        <div class="float-izq">
                            <div>
                                <label class="negrita">Confirmado:</label>
                                <asp:Label ID="ConfirmadoLbl" runat="server"></asp:Label>
                            </div>
                            <div>
                                <label class="negrita">Servido:</label>
                                <asp:Label ID="ServidoLbl" runat="server"></asp:Label>
                            </div>
                            <div>
                                <label class="negrita">Pagado:</label>
                                <asp:Label ID="PagadoLbl" runat="server"></asp:Label>
                            </div>
                        </div>
                        <div class="float-der">
                            <label class="negrita">Precio Total:</label>
                            <asp:Label ID="PrecioTotalLbl" runat="server"></asp:Label>
                            <span> €</span>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="OKButton2" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
                </Triggers>
            </asp:UpdatePanel> 
        </div> 
        
        <!-- BOTONES -->
        <div class="centrar">
            <asp:UpdatePanel ID="AddAlPedidoUpdatePanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">
                <ContentTemplate>
                    <asp:Button ID="AddAlPedidoButton" runat="server"  Text="Añadir productos" CssClass="boton2-autoancho" />
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="OKButton2" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="DetallesPedidoUpdatePanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">
                <ContentTemplate>
                    <asp:Button ID="DetallesPedidoButton" runat="server"  Text="Detalles pedido" CssClass="boton2-autoancho" />
                </ContentTemplate> 
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Button ID="ConfirmarPedidoButton" runat="server"  Text="Confirmar pedido" CssClass="boton2-autoancho"/>
            <cc1:ModalPopupExtender ID="ConfirmarPedidoButton_ModalPopupExtender" 
                runat="server" DynamicServicePath="" Enabled="True" 
                TargetControlID="ConfirmarPedidoButton" PopupControlID="PedidoConfirmadoPanel" 
                OkControlID="OKButton2" BackgroundCssClass="gris-opacidad">
            </cc1:ModalPopupExtender>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional" RenderMode="Inline">
                <ContentTemplate>
                    <asp:Button ID="PagarButton" runat="server" Text="Pagar" CssClass="boton2-autoancho"/><br />
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
                </Triggers>
            </asp:UpdatePanel> 
        </div><br />
        <asp:UpdatePanel ID="MsgErrorUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div class="centrar">
                    <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                        <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                        <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                    </asp:Panel> 
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="OkButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="OKButton2" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="Timer" EventName="Tick" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    
    <!-- PANELES POP UP -->
    <asp:Panel ID="EliminarConsumicionesPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Eliminar consumiciones</div>
        <br />
        <div>¿Desea eliminar las consumiciones?</div>
        <br />
        <div>
            <asp:Button ID="OkButton" runat="server" Text="Aceptar" CssClass="boton2-2" />
            <asp:Button ID="CancelButton" runat="server" Text="Cancelar" CssClass="boton2-2" />
        </div>
    </asp:Panel>
    
    <asp:Panel ID="PedidoConfirmadoPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Pedido confirmado</div>
        <br />
        <div>Su pedido ha sido confirmado. En breve nuestros empleados comenzar&aacute;n a servirle.<br /> Muchas gracias.</div>
        <br />
        <div><asp:Button ID="OKButton2" runat="server" Text="Aceptar" CssClass="boton2-2" /></div>
    </asp:Panel> 
    
    <cc1:ConfirmButtonExtender ID="EliminarTodosButton_ConfirmButtonExtender" runat="server" 
        Enabled="True" TargetControlID="EliminarTodosButton" DisplayModalPopupID="EliminarTodosButton_ModalPopupExtender">
    </cc1:ConfirmButtonExtender>
    
    <cc1:ConfirmButtonExtender ID="ConfirmarPedidoButton_ConfirmButtonExtender" runat="server" 
         Enabled="True" TargetControlID="ConfirmarPedidoButton" DisplayModalPopupID="ConfirmarPedidoButton_ModalPopupExtender">
    </cc1:ConfirmButtonExtender>
    
</asp:Content>


