﻿<%@ Page Title="" Language="VB" MasterPageFile="~/cliente/MasterPageCliente.master" AutoEventWireup="false" CodeFile="Pagar.aspx.vb" Inherits="cliente_Pagar" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <script type ="text/javascript" src="../scripts/cambiar_bordes.js"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Mi Pedido"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Pago</span></div><br />
        <div>
            <!-- MODO DE PAGO -->
            <asp:UpdatePanel ID="ModoPagoUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel runat="server" ID="ModoPagoPanel" >
                        <div class="negro"><span class="negrita">Paso 1.</span> ¿C&oacute;mo desea usted realizar el pago?</div>
                        <asp:RadioButton ID="EfectivoRadioButton" runat="server" Text="&nbsp;En Efectivo" GroupName="ModoPago" CssClass="radiobutton" />
                        <asp:RadioButton ID="TarjetaRadioButton" runat="server" Text="&nbsp;Con Tarjeta" GroupName="ModoPago" CssClass="radiobutton" />
                        <br />
                        <asp:Button ID="AceptarModoPagoButton" runat="server" Text="Aceptar" CssClass="boton2-autoancho"/>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="VolverButton" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
            
            <!-- EFECTIVO -->
            <asp:UpdatePanel ID="EfectivoUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="EfectivoPanel" runat="server">
                        <br />
                        <div class="negrita">Enseguida recibirá la cuenta en su mesa. Muchas gracias.</div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="AceptarModoPagoButton" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
            
            <!-- TARJETA -->
            <asp:UpdatePanel ID="TarjetaUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="TarjetaPanel" runat="server">
                        <div class="negro"><span class="negrita">Paso 2.</span> Introduzca los datos de la tarjeta con la que desea realizar el pago.</div>
                        <br />
                        <div class="contenedor">
                            <div class="caja-centrada-3">      
                                <div class="clear-both">
                                    <asp:Label ID="TitularLbl" runat="server" CssClass="label2">Titular</asp:Label>
                                    <div class="float-der"><asp:TextBox ID="TitularTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                                </div>
                                <div class="clear-both">
                                    <asp:Label ID="NoTarjetaLbl" runat="server" CssClass="label2">Nº Tarjeta</asp:Label>
                                    <div class="float-der"><asp:TextBox ID="NoTarjetaTxt" CssClass="textbox3" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox></div>
                                </div>
                                <div class="clear-both">
                                    <asp:Label ID="FechaCaducidadLbl" runat="server" CssClass="label2">Fecha de caducidad</asp:Label>
                                    <div class="float-der">
                                        <asp:TextBox ID="FechaCaducidadTxt" CssClass="textbox-fecha" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)"></asp:TextBox>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div>
                            <asp:Button ID="ConfirmarPagoButton" runat="server" Text="Confirmar Pago" CssClass="boton2-autoancho"/>
                            <asp:Button ID="VolverButton" runat="server" Text="Volver" CssClass="boton2-autoancho"/>
                        </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="AceptarModoPagoButton" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
        <br />
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgEstadoLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="AceptarModoPagoButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="ConfirmarPagoButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

