﻿<%@ Page Title="" Language="VB" MasterPageFile="~/cliente/MasterPageCliente.master" AutoEventWireup="false" CodeFile="NuevaReserva.aspx.vb" Inherits="clienteweb_NuevaReserva" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Reservas"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Nueva Reserva</span></div><br />
    </div>
    
    <!-- INFORMACIÓN DEL DIA Y HORA -->
    <div class="caja-ancho-30-izq">
        <div>
            <span class="label4">D&iacute;a</span>
            <div class="float-der">
                <asp:TextBox ID="DiaTxt" CssClass="textbox-calendar2" runat="server" onfocus="ChangeBorder(this,event)" onblur="ChangeBorder(this,event)" AutoPostBack="true"></asp:TextBox>
                <asp:Panel ID="CalendarPanel" runat="server" Style="display: none;">
                   <asp:UpdatePanel ID="CalendarUpdatePanel" runat="server" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:Calendar ID="Calendar1" runat="server" BackColor="#FFFFCC" 
                                BorderColor="#FFCC66" BorderWidth="1px" DayNameFormat="Shortest" 
                                Font-Names="Verdana" Font-Size="8pt" ForeColor="#663399" Height="200px" 
                                ShowGridLines="True" Width="220px"  >
                                <SelectedDayStyle BackColor="#CCCCFF" Font-Bold="True" />
                                <SelectorStyle BackColor="#FFCC66" />
                                <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
                                <OtherMonthDayStyle ForeColor="#CC9966" />
                                <NextPrevStyle Font-Size="9pt" ForeColor="#FFFFCC" />
                                <DayHeaderStyle BackColor="#FFCC66" Font-Bold="True" Height="1px" />
                                <TitleStyle BackColor="#990000" Font-Bold="True" Font-Size="9pt" 
                                    ForeColor="#FFFFCC" />
                            </asp:Calendar>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </asp:Panel>
                <cc1:PopupControlExtender ID="Calendar1_PopupControlExtender" runat="server" 
                    DynamicServicePath="" Enabled="True" 
                    TargetControlID="DiaTxt" PopupControlID="CalendarPanel">
                </cc1:PopupControlExtender>
            </div>
        </div>
        
         <div class="clear-both"></div>
         <div class="label-hora">Hora</div>
         <div class="caja-combobox">
            <asp:UpdatePanel ID="HoraUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:DropDownList ID="HoraComboBox" runat="server" CssClass="combobox3" AutoPostBack="true" >
                     </asp:DropDownList>
                 </ContentTemplate>
                 <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="Calendar1" EventName="SelectionChanged" />
                 </Triggers>
             </asp:UpdatePanel>
        </div>
        <div class="clear-both">
            <br /><br />
            <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="BotonesPanel" runat="server" GroupingText="Mesas">
                            <div>
                                <asp:Button ID="ReservarMesaButton" runat="server" CssClass="boton2" Text="Reservar" />
                                <cc1:ModalPopupExtender ID="ReservarMesaButton_ModalPopupExtender" runat="server" 
                                    DynamicServicePath="" Enabled="True" TargetControlID="ReservarMesaButton"
                                    PopupControlID="ReservarMesaPanel" BackgroundCssClass="gris-opacidad"> 
                                </cc1:ModalPopupExtender>
                            </div>
                    </asp:Panel>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="MesasRepeater" EventName="ItemCommand" />
                    <asp:AsyncPostBackTrigger ControlID="Calendar1" EventName="SelectionChanged" />
                    <asp:AsyncPostBackTrigger ControlID="HoraComboBox" EventName="SelectedIndexChanged" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    </div>
    <div class="caja-ancho-70-der">
        <asp:UpdatePanel ID="MesasUpdatePanel" runat="server" UpdateMode="Conditional" >
            <ContentTemplate>
                <asp:Panel ID="MesasPanel" runat="server" ScrollBars="Auto" Height="245px">
                    <asp:Repeater ID="MesasRepeater" runat="server" >
                        <ItemTemplate>
                            <asp:Button runat="server" ID="Button" Text='<%# Eval("numero") %>' CommandName='<%# Eval("numero") %>' CommandArgument='<%# Eval("id") %>' />
                        </ItemTemplate>
                    </asp:Repeater>
                </asp:Panel>
                <div>
                    <br />
                    <asp:Label ID="MaxPersonasLbl" runat="server" Text="Max. comensales:" CssClass="negrita"></asp:Label>
                    <asp:Label ID="MaxPersonasTxt" runat="server"></asp:Label>
                </div>
                <div class="clear-both">
                    <br />
                    <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
                        <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                        <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                    </asp:Panel> 
                </div>
            </ContentTemplate> 
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="Calendar1" EventName="SelectionChanged" />
                <asp:AsyncPostBackTrigger ControlID="HoraComboBox" EventName="SelectedIndexChanged" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    
    <!-- PANELES POP UP -->
    <asp:Panel ID="ReservarMesaPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Reservar mesa</div>
        <br />
        <div>¿Est&aacute; seguro/a de que desea reservar la mesa seleccionada?</div>
        <br />
        <div>
            <asp:Button ID="OkReservarButton" runat="server" Text="Aceptar" CssClass="boton2-2" />
            <asp:Button ID="CancelReservarButton" runat="server" Text="Cancelar" CssClass="boton2-2"  />
        </div>
    </asp:Panel>

</asp:Content>

