﻿<%@ Page Title="" Language="VB" MasterPageFile="~/cliente/MasterPageCliente.master" AutoEventWireup="false" CodeFile="Reservas.aspx.vb" Inherits="clienteweb_Reservas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Reservas"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Reservas</span></div><br />
    </div>
    <!-- INFORMACION A MOSTRAR SI NO HAY RESERVAS -->
  
         <asp:UpdatePanel ID="NoHayReservasUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate> 
                <asp:Panel ID="NoHayReservasPanel" runat="server">
                    <div class="centrar"><asp:Label ID="ReservasNoCreadasLbl" runat="server" Text="No ha realizado ninguna reserva."></asp:Label></div>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ReservasGridView" EventName="RowCommand" />
            </Triggers>
        </asp:UpdatePanel> 
     
        <div class="centrar">
            <asp:UpdatePanel ID="ReservasUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Panel ID="ReservasPanel" runat="server">
                        <asp:GridView ID="ReservasGridView" runat="server" AllowPaging="True" 
                            CssClass="gridview" GridLines="None" PagerSettings-Mode="NumericFirstLast" 
                            PageSize="8" CellPadding="4" AutoGenerateColumns="False">
                            <PagerSettings Mode="NumericFirstLast" />
                            <RowStyle CssClass="gridview-row" />
                            <Columns>
                                <asp:BoundField DataField="id" HeaderText="ID" Visible="True" ReadOnly="true" />
                                <asp:BoundField DataField="fecha" HeaderText="Fecha y hora" SortExpression="fecha" ReadOnly="true"></asp:BoundField>
                                <asp:BoundField DataField="numero" HeaderText="Mesa" ReadOnly="true" SortExpression="numero" />
                                <asp:TemplateField ShowHeader="False" >
                                     <ItemTemplate>
                                     <asp:Button ID="EliminarButton" runat="server" CausesValidation="false" 
                                        CommandName="Eliminar" CommandArgument='<%# CType(Container,GridViewRow).RowIndex %>' Text="" ToolTip="Cancelar reserva" />
                                     </ItemTemplate>
                                     <ControlStyle CssClass="boton-eliminar" />
                                </asp:TemplateField>
                            </Columns>
                            <FooterStyle CssClass="gridview-footer" BackColor="#990000" Font-Bold="True" 
                                ForeColor="White" />
                            <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center" 
                                BackColor="#FFCC66" ForeColor="#333333"/>
                            <SelectedRowStyle CssClass="gridview-selectedrow" />
                            <HeaderStyle CssClass="gridview-header" />
                            <AlternatingRowStyle CssClass="gridview-alter-row"/>
                        </asp:GridView>
                    </asp:Panel>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <br />
        <asp:Panel runat="server" ID="BotonesPanel">
            <div class="centrar">
                <asp:Button ID="NuevaReservaButton" runat="server" Text="Nueva reserva" CssClass="boton2-autoancho" />
            </div>
        </asp:Panel>
        <br />
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel runat="server" ID="MsgEstadoPanel" Visible="false">
                    <div class="centrar">
                        <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                        <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                    </div>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ReservasGridView" EventName="RowCommand" />
            </Triggers>
        </asp:UpdatePanel>
</asp:Content>

