﻿<%@ Page Title="" Language="VB" MasterPageFile="~/gerente/MasterPageGerente.master" AutoEventWireup="false" CodeFile="DetallesMenu.aspx.vb" Inherits="gerente_DetallesMenu" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita"><asp:Label ID="GestionarMenuLbl" Text="" runat="server"></asp:Label> Men&uacute;</span></div></div>
    <br />
    <div class="contenedor">
        <!-- DETALLES MENU -->
        <div class="caja-ancho-50-izq">
            <asp:UpdatePanel ID="DetallesUpdatePanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <div>
                        <asp:Label ID="IdLbl" runat="server" Text="ID" CssClass="label"></asp:Label>
                        <div class="float-der"><asp:TextBox ID="IdTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <label class="label">Nombre</label>
                        <div class="float-der"><asp:TextBox ID="NombreTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <label class="label">Descripci&oacute;n</label>
                        <div class="float-der"><asp:TextBox ID="DescripcionTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                    </div>
                    <div class="clear-both">
                        <label class="label">Precio</label>
                        <div class="float-der"><asp:TextBox ID="PrecioTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    
        <div class="caja-ancho-50-der">
            <asp:Panel ID="ElegirProductosPanel" runat="server" CssClass="centrar">
                <div class="gris-oscuro"><span class="margen-izq--17">Productos del men&uacute;</span><span class="margen-izq-20">Productos</span></div>

                <!-- COMBOBOX TIPOS DE PRODUCTO -->
                <asp:UpdatePanel ID="TiposProductoUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:DropDownList ID="TiposProductoComboBox" Cssclass="combobox2" runat="server" AutoPostBack="true"></asp:DropDownList>
                    </ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                    </Triggers>
                </asp:UpdatePanel>
                
                <div class="cont" style="margin-left: 7.5%">
                    <!-- PRODUCTOS DEL MENU -->
                    <div class="contenedor-listbox-grande">
                        <asp:UpdatePanel ID="ProductosMenuUpdatePanel" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:ListBox ID="ProductosMenuListBox" runat="server" CssClass="listbox-grande" SelectionMode="Multiple"></asp:ListBox>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger  ControlID="AddButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger  ControlID="DelButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>     
                    
                    <!-- BOTONES -->
                    <div id="minibotones">
                        <asp:Button ID="AddButton" runat="server" Text="<" CssClass="mini-boton" />
                        <asp:Button ID="DelButton" runat="server" Text=">" CssClass="mini-boton" />
                    </div>

                    <!-- PRODUCTOS DEL TIPO DE PRODUCTO SELECCIONADO -->
                    <div class="contenedor-listbox-grande">
                        <asp:UpdatePanel ID="ProductosUpdatePanel" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:ListBox ID="ProductosListBox" runat="server" CssClass="listbox-grande-der" SelectionMode="Multiple"></asp:ListBox>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger  ControlID="AddButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger  ControlID="DelButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger  ControlID="TiposProductoComboBox" EventName="SelectedIndexChanged" />
                                <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div> 
                </div>
                                    
                <!-- CANTIDAD -->
                <div class="clear-both"></div>
                <asp:UpdatePanel ID="CantidadUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <div class="derecha">
                            <asp:Label ID="CantidadLbl" runat="server" Text="Unidades"></asp:Label>
                            <asp:TextBox ID="CantidadTxt" CssClass="textbox4" runat="server"></asp:TextBox>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                    </Triggers>
                </asp:UpdatePanel>
            </asp:Panel>
        </div>
    </div>
    <br />
                        
    <!-- BOTONES Y MENSAJE DE ESTADO -->
    <div class="centrar">
        <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">
            <ContentTemplate>
                <asp:Button ID="GuardarButton" runat="server" Text="Guardar" CssClass="boton"/>
                <asp:Button ID="CancelarButton" runat="server" Text="Cancelar" CssClass="boton"/>
                <asp:Button ID="LimpiarButton" runat="server" Text="Limpiar" CssClass="boton"/>
            </ContentTemplate>
        </asp:UpdatePanel>
        <br /><br />
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoPanel" runat="server">
                    <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/ok.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle"/>
                    <asp:Label ID="MsgEstadoLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="GuardarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="TiposProductoComboBox" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger  ControlID="AddButton" EventName="Click" />
                <asp:AsyncPostBackTrigger  ControlID="DelButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    
</asp:Content>

