﻿<%@ Page Title="" Language="VB" MasterPageFile="~/gerente/MasterPageGerente.master" AutoEventWireup="false" CodeFile="DetallesTiposProducto.aspx.vb" Inherits="gerente_DetallesTiposProducto" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl"></asp:Label>  
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita"><asp:Label ID="GestionarTipoProductoLbl" Text="" runat="server"></asp:Label> Tipo de Producto</span></div></div>
    <br />
    <div class="contenedor">
        <div class="contenedor">
            <div class="caja-centrada">
                <!-- ID Y NOMBRE -->
                <asp:UpdatePanel ID="DetallesUpdatePanel" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:Panel runat="server" ID="MargenExtraPanel">
                            <asp:Label ID="IdLbl" runat="server" Text="ID" CssClass="label"></asp:Label>
                            <div class="float-der"><asp:TextBox ID="IdTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                        </asp:Panel> 
                        <br \>
                        <div class="clear-both">
                            <label class="label">Nombre</label>
                            <div class="float-der"><asp:TextBox ID="NombreTxt" CssClass="textbox3" runat="server"></asp:TextBox></div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
                    </Triggers>
                </asp:UpdatePanel>
            </div>
        </div>
        <br />
        <div class="margen-izq-25">
            <asp:Panel ID="ElegirProductosPanel" runat="server">
                <div class="gris-oscuro"><span class="margen-izq-2-5">Productos agregados</span><span class="margen-izq-12">Productos sin agregar</span></div>
                <div class="cont">
                    <!-- PRODUCTOS AGREGADOS -->
                    <div class="contenedor-listbox">
                        <asp:UpdatePanel ID="ProductosTipoUpdatePanel" runat="server">
                            <ContentTemplate>
                                <asp:ListBox ID="ProductosTipoListBox" runat="server" CssClass="listbox" SelectionMode="Multiple"></asp:ListBox>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger  ControlID="AddButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger  ControlID="DelButton" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                    
                    <!-- BOTONES -->
                    <div id="minibotones">
                        <asp:Button ID="AddButton" runat="server" Text="<" CssClass="mini-boton" />
                        <asp:Button ID="DelButton" runat="server" Text=">" CssClass="mini-boton" />
                    </div>
                    
                    <!-- PRODUCTOS SIN AGREGAR -->
                    <div class="contenedor-listbox"> 
                        <asp:UpdatePanel ID="ProductosUpdatePanel" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:ListBox ID="ProductosListBox" runat="server" CssClass="listbox" SelectionMode="Multiple" ></asp:ListBox>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger  ControlID="AddButton" EventName="Click" />
                                <asp:AsyncPostBackTrigger  ControlID="DelButton" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </asp:Panel>
        </div>
    </div>
    
    <div class="centrar">
        <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional" RenderMode="Inline">       
            <ContentTemplate>
                <asp:Button ID="GuardarButton" runat="server" Text="Guardar" CssClass="boton"/>
                <asp:Button ID="CancelarButton" runat="server" Text="Cancelar" CssClass="boton"/>
                <asp:Button ID="LimpiarButton" runat="server" Text="Limpiar" CssClass="boton"/>
            </ContentTemplate>
        </asp:UpdatePanel>
        <br /><br />
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoPanel" runat="server">
                    <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/ok.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle"/>
                    <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="GuardarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="LimpiarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    

</asp:Content>

