﻿<%@ Page Title="" Language="VB" MasterPageFile="~/gerente/MasterPageGerente.master" AutoEventWireup="false" CodeFile="Empleados.aspx.vb" Inherits="gerente_Empleados" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Empleados"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <div class="marron"><span class="negrita">Empleados</span></div><br />
        <asp:UpdatePanel ID="EmpleadosUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="EmpleadosGridView" runat="server" GridLines="None"  
                    CssClass="gridview" AllowPaging="true" PagerSettings-Mode="NumericFirstLast" PageSize="10">
                    <RowStyle CssClass="gridview-row" />
                    <Columns>
                       <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:BoundField DataField="nombre" HeaderText="Nombre" ReadOnly="True" 
                            SortExpression="nombre" />
                        <asp:BoundField DataField="apellido1" HeaderText="Primer Apellido" 
                            ReadOnly="True" SortExpression="apellido1" />
                        <asp:BoundField DataField="apellido2" HeaderText="Segundo Apellido" ReadOnly="True" 
                            SortExpression="apellido2" />
                    </Columns> 
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center"  />
                    <SelectedRowStyle CssClass="gridview-selectedrow" />
                    <HeaderStyle CssClass="gridview-header" />
                    <AlternatingRowStyle CssClass="gridview-alter-row" />
                </asp:GridView>
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
                <br />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:UpdatePanel ID="BotonesUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Button runat="server" ID="NuevoButton" Text="Nuevo" CssClass="boton"/>
                <asp:Button runat="server" ID="ModificarButton" Text="Modificar" CssClass="boton"/>
                <asp:Button runat="server" ID="EliminarButton" Text="Eliminar" CssClass="boton"/>
                <asp:Button runat="server" ID="DetallesButton" Text="Detalles" CssClass="boton"/>
            </ContentTemplate>
        </asp:UpdatePanel>
        <br /><br />
        <asp:UpdatePanel ID="MsgEstadoErrorUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgEstadoErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgEstadoErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ModificarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="DetallesButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>


