﻿Imports accesoBDeRestaurante.usuario_bd
Imports variables_globales

Partial Class anonimo_auth
    Inherits System.Web.UI.Page

    Protected Sub panel_registrate_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles panel_registrate.Load
        If variables_globales.usuario = 1 Then
            Me.panel_registrate.Visible = False
        Else
            Me.panel_registrate.Visible = True
        End If
    End Sub

    Protected Sub submit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles submit.Click
        Dim tmp_usuario_reg As New usuario_reg
        Dim password As String = ""
        Dim tmp As String = "", pag As String = ""

        'Recojo el usuario y la contraseña
        tmp_usuario_reg.clave = Me.usuariotxt.Text.Trim
        password = Me.passwordtxt.Text.Trim

        'Consulto el usuario en la bd
        tmp_usuario_reg = get_usuario_por_clave(tmp_usuario_reg.clave, cadena_conexion)

        'Compruebo que el usuario existe
        If Not existe_usuario(tmp_usuario_reg, cadena_conexion) Then
            Me.MsgErrorPanel.Visible = True
        Else
            Me.MsgErrorPanel.Visible = False

            ' Compruebo que el password es el correcto
            If tmp_usuario_reg.passwd.CompareTo(password) <> 0 Then
                Me.MsgErrorPanel.Visible = True
            Else
                ' Creo la variable de sesion
                Session.Add("TipoUsuario", tmp_usuario_reg.tipo)
                Session.Add("IdUsuario", tmp_usuario_reg.id)
                Session.Timeout = 720

                ' Redirecciono a la página del usuario correspondiente
                Select Case tmp_usuario_reg.tipo
                    Case "C"
                        If variables_globales.usuario = 0 Then
                            tmp = "clientenoweb"
                            pag = "MiPedido.aspx"
                        ElseIf variables_globales.usuario = 2 Then
                            tmp = "clienteweb"
                            pag = "Reservas.aspx"
                        End If
                    Case "E"
                        tmp = "camarero"
                        pag = "EstadoMesas.aspx"
                    Case "G"
                        tmp = "gerente"
                        pag = "TiposProducto.aspx"
                End Select

                If Not tmp.Equals("") Then
                    Response.Redirect("/eRestaurante/" & tmp & "/" & pag)
                End If
            End If
        End If

    End Sub

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        Dim usuario As Integer
        Dim tipo As String
        Dim tmp As String = ""
        Dim pag As String = ""

        If Session.Count > 0 Then
            usuario = Session.Item("IdUsuario")
            tipo = Session.Item("TipoUsuario")

            If usuario <> Nothing AndAlso usuario <> -1 Then
                If Not tipo Is Nothing And Not tipo.Equals("") Then
                    ' Redirecciono a la página del usuario correspondiente
                    Select Case tipo
                        Case "C"
                            If variables_globales.usuario = 0 Then
                                tmp = "clientenoweb"
                                pag = "MiPedido.aspx"
                            ElseIf variables_globales.usuario = 2 Then
                                tmp = "clienteweb"
                                pag = "Reservas.aspx"
                            End If
                        Case "E"
                            tmp = "camarero"
                            pag = "EstadoMesas.aspx"
                        Case "G"
                            tmp = "gerente"
                            pag = "TiposProducto.aspx"
                    End Select

                    If Not tmp.Equals("") Then
                        Response.Redirect("/eRestaurante/" & tmp & "/" & pag)
                    End If
                End If
            End If
        End If
    End Sub
End Class
