﻿<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="Comentarios.aspx.vb" Inherits="camarero_Comentarios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=">Comentarios"></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Comentarios</span></div></div>
    <br />
    <div class="centrar">
    
        <!-- TABLA DE COMENTARIOS -->
        <asp:UpdatePanel ID="ComentariosUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="ComentariosGridView" runat="server" AllowPaging="true"
                     CssClass="gridview" PageSize="10" CellPadding="4" AutoGenerateColumns="False" GridLines="None">
                    <RowStyle CssClass="gridview-row" />
                    <AlternatingRowStyle CssClass="gridview-alter-row" />
                    <HeaderStyle CssClass="gridview-header" />
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerSettings Mode="NumericFirstLast" />
                    <PagerStyle CssClass="gridview-pager" />
                    <SelectedRowStyle CssClass="gridview-selectedrow" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False">
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check"  />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:BoundField DataField="fecha" HeaderText="Fecha" ReadOnly="True" />
                        <asp:BoundField DataField="desde" HeaderText="Desde" ReadOnly="True" />
                        <asp:HyperLinkField DataTextField="asunto" HeaderText="Asunto" DataNavigateUrlFields="id" DataNavigateUrlFormatString="DetallesComentario.aspx?id={0}&nav=>Comentarios" ControlStyle-CssClass="gris-mas-oscuro" />
                         <asp:CommandField ButtonType="Button" ControlStyle-CssClass="boton-eliminar" DeleteText="" ShowDeleteButton="True">
                            <ControlStyle CssClass="boton-eliminar" />
                        </asp:CommandField>
                    </Columns>
                </asp:GridView>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        
        <!-- MENSAJE DE ESTADO -->
        <asp:UpdatePanel ID="MsgEstadoUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ComentariosGridView" EventName="PageIndexChanging" />
                <asp:AsyncPostBackTrigger ControlID="ComentariosGridView" EventName="RowDeleting" />
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        
        <br />
        
        <!-- BOTONES -->
        <asp:UpdatePanel ID="EliminarUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Button runat="server" ID="EliminarButton" Text="Eliminar" CssClass="boton2-autoancho"/>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="ComentariosGridView" EventName="RowDeleting" />
            </Triggers>
        </asp:UpdatePanel>
        
        <br />
        
        <!-- MENSAJE DE ERROR -->
        <asp:UpdatePanel ID="MsgErrorUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
                    <asp:Label ID="MsgErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ComentariosGridView" EventName="PageIndexChanging" />
                <asp:AsyncPostBackTrigger ControlID="ComentariosGridView" EventName="RowDeleting" />
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

