<%@ Page Title="" Language="VB" MasterPageFile="~/camarero/MasterPageCamarero.master" AutoEventWireup="false" CodeFile="DetallesPedido.aspx.vb" Inherits="camarero_DetallesPedido" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="CaminoLbl" runat="server" Text=""></asp:Label>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar"><div class="marron"><span class="negrita">Detalles de Pedido</span></div></div>
    <br /><br /><br />
    <div class="contenedor">
        <!-- INFORMACIN DE LA MESA -->
        <div class="caja-ancho-50-izq">
            <div class="marron"><span class="negrita">Mesa</span></div>
            <br />
            <div>
                <label class="negrita">ID: </label>
                <asp:Label ID="IdMesaTxt" runat="server"></asp:Label>
            </div>
            <div>
                <label class="negrita">N&uacute;mero: </label>
                <asp:Label ID="NumeroMesaTxt" runat="server"></asp:Label>
            </div>
            <div>
                <label class="negrita">Libre: </label>
                <asp:Label ID="LibreMesaTxt" runat="server"></asp:Label>
            </div>
            <div>
                <label class="negrita">M&aacute;x. comensales: </label>
                <asp:Label ID="MaxComensalesTxt" runat="server"></asp:Label>
            </div>
            <div>
                <label class="negrita">Comensales: </label>
                <asp:Label ID="ComensalesTxt" runat="server"></asp:Label>
            </div>
            <div>
                <label class="negrita">N mesas: </label>
                <asp:Label ID="NoMesasTxt" runat="server"></asp:Label>
            </div>
            <br />
            <div class="centrar">
                <div>
                    <asp:Button ID="LiberarMesaButton" runat="server" Text="Liberar mesa" CssClass="boton2-autoancho" />
                </div>
            </div>
        </div>
        
        <!-- INFORMACIN DEL PEDIDO -->
        <div class="caja-ancho-50-der">
            <div class="marron"><span class="negrita">Pedido</span></div>
            <br />
            <asp:Panel ID="InfoPedidoPanel" runat="server">
                <div>
                    <label class="negrita">ID: </label>
                    <asp:Label ID="IdPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Fecha y hora: </label>
                    <asp:Label ID="FechaPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Activo: </label>
                    <asp:Label ID="ActivoPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Confirmado: </label>
                    <asp:Label ID="ConfirmadoPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Servido: </label>
                    <asp:Label ID="ServidoPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Precio total: </label>
                    <asp:Label ID="PrecioTotalPedidoTxt" runat="server"></asp:Label>
                </div>
                <div>
                    <label class="negrita">Pagado: </label>
                    <asp:Label ID="PagadoPedidoTxt" runat="server"></asp:Label>
                    <span>&nbsp;</span>
                    <asp:Button ID="MarcarPagadoButton" runat="server" Text="Marcar pagado" CssClass="boton-link-2" />
                </div>
                <div>
                    <label class="negrita">Camarero: </label>
                    <asp:HyperLink ID="CamareroHyperLink" runat="server" CssClass="label-link"></asp:HyperLink>
                </div>
                <div>
                    <label class="negrita">Cliente: </label>
                    <asp:HyperLink ID="ClienteHyperLink" runat="server" CssClass="label-link"></asp:HyperLink>
                </div>
                <br />
                <div class="centrar">
                    <div>
                        <asp:Button ID="ConsumicionesButton" runat="server" Text="Consumiciones" CssClass="boton2-autoancho" />
                        <asp:Button ID="CancelarPedidoButton" runat="server" Text="Cancelar pedido" CssClass="boton2-autoancho" />
                        <cc1:ModalPopupExtender ID="CancelarPedidoButton_ModalPopupExtender" 
                            runat="server" DynamicServicePath="" Enabled="True" 
                            TargetControlID="CancelarPedidoButton" PopupControlID="CancelarPedidoPanel" 
                            BackgroundCssClass="gris-opacidad">
                        </cc1:ModalPopupExtender>
                    </div>
                </div>
            </asp:Panel>
            <asp:Panel ID="NoHayPedidoPanel" runat="server">
                <label>No existe ningn pedido para la mesa en el horario seleccionado.</label>
            </asp:Panel>
        </div>
    </div>
    <br /><br />
 
    <div class="centrar">
        <asp:Panel ID="MsgEstadoPanel" runat="server" Visible="false">
            <asp:Image ID="MsgEstadoImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle" />  
            <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
        </asp:Panel> 
    </div>
    
    <asp:Panel ID="CancelarPedidoPanel" runat="server" CssClass="confirmacion-panel" Style="display: none;">
        <div class="titulo-panel-confirmacion">Cancelaci&oacute;n</div>
        <br />
        <div>Seguro que desea cancelar el pedido?</div>
        <br />
        <div>
            <asp:Button ID="OKButton" runat="server" Text="S&iacute;" CssClass="boton2-2" />
            <asp:Button ID="CancelButton" runat="server" Text="No" CssClass="boton2-2" />
        </div>
    </asp:Panel>
</asp:Content>

