﻿<%@ Page Title="" Language="VB" MasterPageFile="~/gerente/MasterPageGerente.master" AutoEventWireup="false" CodeFile="Productos.aspx.vb" Inherits="gerente_Productos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label runat="server" ID="CaminoLbl" Text=">Productos"></asp:Label>    
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <div class="centrar">
        <asp:UpdatePanel ID="TiposProductoUpdatepanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:DropDownList ID="TiposProductoComboBox" runat="server" CssClass="combobox"></asp:DropDownList>
            </ContentTemplate>
        </asp:UpdatePanel>
        <br />
        <asp:UpdatePanel ID="ProductosUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:GridView ID="ProductosGridView" runat="server" GridLines="None"  
                    CssClass="gridview" AllowPaging="true" PagerSettings-Mode="NumericFirstLast" PageSize="10">
                    <RowStyle CssClass="gridview-row" />
                    <Columns>
                        <asp:TemplateField ShowHeader="False" ItemStyle-VerticalAlign="Middle" >
                            <ItemTemplate>
                                <asp:CheckBox ID="SelectCheck" runat="server" CssClass="check" />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="id" HeaderText="ID" ReadOnly="True" />
                        <asp:BoundField DataField="nombre" HeaderText="Nombre" ReadOnly="True" 
                            SortExpression="nombre" />
                        <asp:BoundField DataField="descripcion" HeaderText="Descripcion" 
                            ReadOnly="True" SortExpression="descripcion" />
                        <asp:BoundField DataField="precio" HeaderText="Precio (€)" ReadOnly="True" 
                            SortExpression="precio" />
                    </Columns>
                    <FooterStyle CssClass="gridview-footer" />
                    <PagerStyle CssClass="gridview-pager" HorizontalAlign="Center" />
                    <HeaderStyle CssClass="gridview-header" />
                    <AlternatingRowStyle CssClass="gridview-alter-row" />
                </asp:GridView>
                <asp:Label ID="MsgEstadoLbl" runat="server"></asp:Label>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="TiposProductoComboBox" EventName="SelectedIndexChanged" />
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <br />
        <asp:Button runat="server" ID="NuevoButton" Text="Nuevo" CssClass="boton"/>
        <asp:Button runat="server" ID="ModificarButton" Text="Modificar" CssClass="boton"/>
        <asp:Button runat="server" ID="EliminarButton" Text="Eliminar" CssClass="boton"/>
        <asp:Button runat="server" ID="DetallesButton" Text="Detalles" CssClass="boton"/>
        <br /><br />
        <asp:UpdatePanel ID="MsgEstadoErrorUpdatePanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="MsgEstadoErrorPanel" runat="server" Visible="false">
                    <asp:Image ID="MsgEstadoErrorImage" runat="server" ImageUrl="../img/nook.jpg" CssClass="mensaje-image" ImageAlign="AbsMiddle"/> 
                    <asp:Label ID="MsgEstadoErrorLbl" runat="server" CssClass="rojo"></asp:Label>
                </asp:Panel> 
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ModificarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="EliminarButton" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="DetallesButton" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
</asp:Content>

